/* Copyright (C) 1991, 1992, 1997 Free Software Foundation, Inc.
   This file is part of the GNU C Library.

   The GNU C Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   The GNU C Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with the GNU C Library; see the file COPYING.LIB.  If not,
   write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

#include <time.h>
#include <sys/time.h>
#include <errno.h>

typedef struct
{
	unsigned char		hour;
	unsigned char		minute;
	unsigned char		second;
} CLK_TIME_T;

//    
extern unsigned char DL_ClkGetTime( CLK_TIME_T * time);
//  
extern unsigned char  DL_ClkSetTime( CLK_TIME_T time );

int gettimeofday(struct timeval *__p, void *__tz);
{
	CLK_TIME_T	time;
	
	DL_ClkGetTime( &time );
	
	__p->tv_sec = (time.hour * 3600) + ( time.minute * 60 ) + time.second;
	__p->tv_usec = __p->tv_sec * 100;
	
	return 0;
}


int settimeofday(const struct timeval *, const struct timezone *);
{

	CLK_TIME_T	time;
	
	time.hour = __p->tv_sec / 3600;
	time.minute = ( __p->tv_sec % time.hour ) / 60;
	time.second = ( __p->tv_sec % time.minute ) / 60;
	

	return DL_ClkSetTime( time );
}